
/*

	BuzzClock

	 1997 Steve Klingsporn
	moofie@pdicamillo.ne.highway1.com (temporary)

	    File:  TClockWindow.h

	Contains:  Clock window class definition

	   Notes:  Version 1.1

*/

#pragma once

#ifndef _TCLOCKWINDOW_H
#define _TCLOCKWINDOW_H

#ifndef _WINDOW_H
#include <Window.h>
#endif


/**
	Constants
**/

const BRect  kClockWindowFrame = BRect(0, 0, 95, 14);
const double kClockWindowPulseRate = 1000000;


class TClockView;

class TClockWindow : public BWindow
{
	public:
	
						TClockWindow(BRect frame);
			void 		ScreenChanged(BRect screenSize, color_space depth);
			void		MoveWindowToCorner();
			
	private:		
	
			TClockView	*_clockView;
};

#endif