
/*

	BuzzClock

	 1997 Steve Klingsporn
	moofie@pdicamillo.ne.highway1.com (temporary)

	    File:  TClockApplication.h

	Contains:  Clock application class definition

	   Notes:  Version 1.1

*/

#pragma once

#ifndef _TCLOCKAPPLICATION_H
#define _TCLOCKAPPLICATION_H

#ifndef _APPLICATION_H
#include <Application.h>
#endif			  


/**
	Application signature
**/

const long kApplicationSignature = 'cclk';


class TClockWindow;

class TClockApplication : public BApplication
{
	public:
	
							TClockApplication();

		void				ReadyToRun();
		void				AboutRequested();
		void				MenusWillShow();
		
	private:
		
		TClockWindow		*_clockWindow;
};

#endif